<?
include_once("mysql.php");
include_once("include/antixak.php");
include_once("include/zag.php");
include_once("include/ini.php");
include 'include/sesi.php';
if (isset($user)) {

switch($go) {

default:
echo"<b>Список друзей</b><br/>";

if(@file("MySql/base123/friend/$log.dat")){
$file = @file("MySql/base123/friend/$log.dat");
$total = count($file);

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 5){ $end = $total; }
else {$end = $start + 5; }
for ($i = $start; $i < $end; $i++){

$file = @file("MySql/base123/friend/$log.dat");
$file = array_reverse($file);
$data = explode("|",$file[$i]);
$i2=round($i+1);

$id=$total-$i-1;

$data[1]=trim($data[1]);

echo"<a href=\"search.php?$sd&nick=$data[1]&go=go\">$data[1]</a>";
if(!@file("MySql/base123/other/$data[1].dat")){
echo"Offline<br/>";}else{
$text = @file("MySql/base123/other/$data[1].dat");
$data = explode("||",$text[0]);
$time=time()-150;
if($data[0]>=$time){
echo" [<font color=\"ADFF2F\">On-Line</font>]<br/>";}else{
echo" [<font color=\"FF0000\">Offline</font>]<br/>";
}
echo"[<a href=\"friends.php?$sd&id=$id&go=del&name=$data[1]\">Удалить</a>] [<a href=\"privat.php?$sd&uzer=$data[1]&go=send\">Написать</a>]<br/>";
}
}

if($total=="0"){echo"<small>Друзей нет.</small>";}
}else{echo"<small>Друзей нет.</small>";}
if ($start != 0) {echo '<a href="friends.php?start='.($start - 5).'&'.$sd.'&go=list">Назад</a> ';}

if ($total > $start + 5) {echo ' <a href="friends.php?start='.($start + 5).'&'.$sd.'&go=list">Далее</a>';}
echo"<br/><a href=\"friends.php?$sd&go=add\">Добавить в друзья</a>";
break;
case 'friendadd':
$udat = @file("MySql/base123/reg/$nick.dat");
$udat = explode(":||:",$udat[0]);
if(!@file("MySql/base123/reg/$nick.dat")){echo"Такого игрока нет в базе данных"; exit;}
$text = @file("MySql/base123/friend/$log.dat");
$count=count($text);

for($i=0; $i<$count; $i++){
$data = explode("|",$text[$i]);
if(trim($data[1])==$nick){echo"Этот персонаж уже есть у вас в друзьях!";
include_once"include/down.php"; exit; }
}
$text='|'.$nick.'';

$fp=fopen("MySql/base123/friend/$log.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);
@chmod ("MySql/base123/friend/$log.dat", 0666);

$data=date("d F, Y", time());
$time=date("H:i:s", time());
$data = str_replace("January","января",$data);
$data = str_replace("February","февраля",$data);
$data = str_replace("March","марта",$data);
$data = str_replace("April","апреля",$data);
$data = str_replace("May","мая",$data);
$data = str_replace("June","июня",$data);
$data = str_replace("July","июля",$data);
$data = str_replace("August","августа",$data);
$data = str_replace("September","сентября",$data);
$data = str_replace("October","октября",$data);
$data = str_replace("November","ноября",$data);
$data = str_replace("December","декабря",$data);
$udat[22]=trim($udat[22]+1);
$textus=$udat[0].':||:'.$udat[1].':||:'.$udat[2].':||:'.$udat[3].':||:'.$udat[4].':||:'.$udat[5].':||:'.$udat[6].':||:'.$udat[7].':||:'.$udat[8].':||:'.$udat[9].':||:'.$udat[10].':||:'.$udat[11].':||:'.$udat[12].':||:'.$udat[13].':||:'.$udat[14].':||:'.$udat[15].':||:'.$udat[16].':||:'.$udat[17].':||:'.$udat[18].':||:'.$udat[19].':||:'.$udat[20].':||:'.$udat[21].':||:'.$udat[22].':||:'.$udat[23].':||:'.$udat[24].':||:'.$udat[25].':||:'.$udat[26].':||:'.$udat[27].':||:'.$udat[28].':||:'.$udat[29].':||:'.$udat[30].':||:'.$udat[31].':||:'.$udat[32].':||:'.$udat[33].':||:'.$udat[34].':||:'.$udat[35].':||:'.$udat[36].':||:'.$udat[37].':||:'.$udat[38].':||:'.$udat[39].':||:'.$udat[40].':||:'.$udat[41].':||:'.$udat[42].':||:'.$udat[43].':||:'.$udat[44].':||:'.$udat[45].':||:'.$udat[46].':||:'.$udat[47].':||:'.$udat[48].':||:'.$udat[49].':||:'.$udat[50].':||:'.$udat[51].':||:'.$udat[52].':||:'.$udat[53].':||:'.$udat[54].':||:'.$udat[55].':||:'.$udat[56].':||:'.$udat[57].':||:'.$udat[58].':||:'.$udat[59].':||:'.$udat[60].':||:'.$udat[61].':||:'.$udat[62].':||:'.$udat[63].':||:'.$udat[64].':||:'.$udat[65].':||:'.$udat[66].':||:'.$udat[67].':||:'.$udat[68].':||:'.$udat[69].':||:'.$udat[70].':||:'.$udat[71].':||:'.$udat[72].':||:'.$udat[73].':||:'.$udat[74].':||:'.$udat[75].':||:'.$udat[76].':||:'.$udat[77].':||:'.$udat[78].':||:'.$udat[79].':||:'.$udat[80].':||:'.$udat[81].':||:'.$udat[82].':||:'.$udat[83].':||:'.$udat[84].':||:'.$udat[85].':||:'.$udat[86].':||:'.$udat[87].':||:'.$udat[88].':||:'.$udat[89].':||:'.$udat[90].':||:'.$udat[91].':||:'.$udat[92].':||:'.$udat[93].':||:'.$udat[94].':||:'.$udat[95].':||:'.$udat[96].':||:'.$udat[97].':||:'.$udat[98].':||:'.$udat[99].':||:'.$udat[100].':||:';
$fp=fopen("MySql/base123/reg/$nick.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fputs($fp,"$textus");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
$message="Здраствуйте $nick. Вас только что добавил в друзья $log!";
$message=base64_encode($message);
$pozdr=":::FriendNPC|".$message."|".$data;
$fp=fopen("MySql/base123/msg/$nick.msg","a+");
flock($fp,LOCK_EX);
fputs($fp,"$pozdr \r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);

echo"Вы успешно добавили в друзья $nick!";
break;

case 'add':
echo"Добавить в друзья<br/>";
echo'<form method="post" action="friends.php?'.$sd.'&go=friendadd">';
echo "<input name=\"nick\" maxlength=\"11\" title=\"name\"/><br/>";
echo '<input class="button" type="submit" value="Добавить"/></form>';
break;
case 'del':

$file=file("MySql/base123/friend/$log.dat");
$fp=fopen("MySql/base123/friend/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file[$id]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
echo "Игрок удалён";
break;
}}else{echo"<small>Пароль или логин неверен!</small>";}
include 'include/down.php';
?>

